# RSpec
# spec/support/factory_bot.rb
RSpec.configure do |config|
  factories_directory = Rails.root.join('..', 'factories')
  engine_factory_directories = [RailsCom::Engine].map do |engine|
    engine.root.join('spec', 'factories')
  end
  FactoryBot.definition_file_paths = [factories_directory, *engine_factory_directories]
  FactoryBot.find_definitions
  config.include FactoryBot::Syntax::Methods
end

